Hacking SXOS with DLCS (12.0 and forward)

DonRamon

Active Member
OP
Newcomer
Joined
Oct 28, 2018
Messages
32
Trophies
0
Age
20
XP
196
Country
Argentina
Hello guys! Quick question here

I know that actually with SXOS, we can get some converted XCIs to run directly even being new titles by patching the game to run on an older firmware version (11 and such), but, what about DLCs?

The last Super XCIs I´ve tested seems to not recognize the DLC files correctly and, not sure if there is a way to bypass this currently but, is it possible to, for example, use the patched XCI of a game and install de DLCs as NSPs using Goldleaf or another installation homebrew that might ignore firmware version to work?

PS: Yeah, I know also that many here would say just to switch to Atmosphere, but I like the option to have the XCIs loaded directly and want to check the availability of continuing with the feature :)

Thank you all in advance for the attention, it´s a simple question but I think it´s straight to the point
 

Shadow#1

Wii, 3DS Softmod & Dumpster Diving Expert
Member
Joined
Nov 21, 2005
Messages
10,506
Trophies
1
XP
6,075
Country
United States
Hello guys! Quick question here

I know that actually with SXOS, we can get some converted XCIs to run directly even being new titles by patching the game to run on an older firmware version (11 and such), but, what about DLCs?

The last Super XCIs I´ve tested seems to not recognize the DLC files correctly and, not sure if there is a way to bypass this currently but, is it possible to, for example, use the patched XCI of a game and install de DLCs as NSPs using Goldleaf or another installation homebrew that might ignore firmware version to work?

PS: Yeah, I know also that many here would say just to switch to Atmosphere, but I like the option to have the XCIs loaded directly and want to check the availability of continuing with the feature :)

Thank you all in advance for the attention, it´s a simple question but I think it´s straight to the point
Switch to atmosphere as 12.x SDK games/updates/DLC can't be patched
 

Draxzelex

Well-Known Member
Member
Joined
Aug 6, 2017
Messages
16,219
Trophies
1
Age
27
Location
New York City
XP
11,076
Country
United States
Hello guys! Quick question here

I know that actually with SXOS, we can get some converted XCIs to run directly even being new titles by patching the game to run on an older firmware version (11 and such), but, what about DLCs?

The last Super XCIs I´ve tested seems to not recognize the DLC files correctly and, not sure if there is a way to bypass this currently but, is it possible to, for example, use the patched XCI of a game and install de DLCs as NSPs using Goldleaf or another installation homebrew that might ignore firmware version to work?

PS: Yeah, I know also that many here would say just to switch to Atmosphere, but I like the option to have the XCIs loaded directly and want to check the availability of continuing with the feature :)

Thank you all in advance for the attention, it´s a simple question but I think it´s straight to the point
You can't downgrade a game that is built with SDK 12. You answered your own question which is switching to Atmosphere. SX OS is dead.
 
General chit-chat
Help Users
    CORE @ CORE: He Who Controls The Spice Controls The Universe...